> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Task Trackers

> List all agent task trackers, optionally filtered by query parameters.



## OpenAPI

````yaml https://agentex.dev-sgp.scale.com/openapi.json get /tracker
openapi: 3.1.0
info:
  title: Agentex API
  version: 0.1.0
servers: []
security: []
paths:
  /tracker:
    get:
      tags:
        - Agent Task Tracker
      summary: List Agent Task Trackers
      description: List all agent task trackers, optionally filtered by query parameters.
      operationId: filter_agent_task_tracker_tracker_get
      parameters:
        - name: agent_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Agent ID
            title: Agent Id
          description: Agent ID
        - name: task_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Task ID
            title: Task Id
          description: Task ID
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Limit
            default: 50
            title: Limit
          description: Limit
        - name: page_number
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page Number
          description: Page number
        - name: order_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Field to order by
            title: Order By
          description: Field to order by
        - name: order_direction
          in: query
          required: false
          schema:
            type: string
            description: Order direction (asc or desc)
            default: desc
            title: Order Direction
          description: Order direction (asc or desc)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgentTaskTracker'
                title: Response Filter Agent Task Tracker Tracker Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentTaskTracker:
      properties:
        id:
          type: string
          title: Id
          description: The UUID of the agent task tracker
        agent_id:
          type: string
          title: Agent Id
          description: The UUID of the agent
        task_id:
          type: string
          title: Task Id
          description: The UUID of the task
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Processing status
        status_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Reason
          description: Optional status reason
        last_processed_event_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Processed Event Id
          description: The last processed event ID
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the agent task tracker was created
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: When the agent task tracker was last updated
      type: object
      required:
        - id
        - agent_id
        - task_id
        - created_at
      title: AgentTaskTracker
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````